<?php require_once('Connections/conn.php'); ?>
<?php
mysql_select_db($database_conn, $conn);
 mysql_query ("SET NAMES 'utf8'");
$query_rstDocentes = "SELECT docentes.id_docente, docentes.apellidos,docentes.nombres FROM docentes ORDER BY apellidos,nombres";
$rstDocentes = mysql_query($query_rstDocentes, $conn) or die(mysql_error());
$row_rstDocentes = mysql_fetch_assoc($rstDocentes);
$totalRows_rstDocentes = mysql_num_rows($rstDocentes);


$query_rstSede = "SELECT sedes.codigo, sedes.nombre_sede FROM sedes  ORDER BY sedes.nombre_sede";
$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
$row_rstSede = mysql_fetch_assoc($rstSede);
$totalRows_rstSede = mysql_num_rows($rstSede);


$query_rstPeriodos = "SELECT  periodos.id_periodo, periodos.codigo FROM periodos ORDER BY periodos.id_periodo";
$rstPeriodos = mysql_query($query_rstPeriodos, $conn) or die(mysql_error());
$row_rstPeriodos = mysql_fetch_assoc($rstPeriodos);
$totalRows_rstPeriodos = mysql_num_rows($rstPeriodos);


$query_rstMaterias = "SELECT materias.id_materia, materias.nombre_materia FROM materias ORDER BY materias.nombre_materia";
$rstMaterias = mysql_query($query_rstMaterias, $conn) or die(mysql_error());
$row_rstMaterias = mysql_fetch_assoc($rstMaterias);
$totalRows_rstMaterias = mysql_num_rows($rstMaterias);


$query_rstSecciones = "SELECT DISTINCT secciones.id_seccion FROM secciones";
$rstSecciones = mysql_query($query_rstSecciones, $conn) or die(mysql_error());
$row_rstSecciones = mysql_fetch_assoc($rstSecciones);
$totalRows_rstSecciones = mysql_num_rows($rstSecciones);


$query_rstCarreras = "SELECT id_carrera, nombre_carrera FROM carreras";
$rstCarreras = mysql_query($query_rstCarreras, $conn) or die(mysql_error());
$row_rstCarreras = mysql_fetch_assoc($rstCarreras);
$totalRows_rstCarreras = mysql_num_rows($rstCarreras);



 session_start();
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- carga de calificaciones</title>
<meta name="generator" http-equiv="content-type" content="text/html">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
</style>
<script src="jquery.min.js" type="text/javascript"></script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

</head>
<script>
$(document).ready(function(){
	$("#id_carrera").change(function(){
		$.post("carga_materias.php",{ id:$(this).val() },function(data){$("#materia").html(data);})
	});
})
</script>
<body>
<?php
// Cargo los datos de las Carreras.

mysql_select_db($database_conn, $conn);
 mysql_query ("SET NAMES 'utf8'");
$query_carreras = "SELECT id_carrera,nombre_carrera FROM carreras ORDER BY nombre_carrera";
$rst_carreras = mysql_query($query_carreras, $conn) or die(mysql_error());
$row_carreras = mysql_fetch_assoc($rst_carreras);
$totalRows_carreras = mysql_num_rows($rst_carreras);  

if($totalRows_carreras >0)
{
    $array_areas = array();
	 $array_carreras = array();
	$code=0;
	while($carrera = mysql_fetch_assoc($rst_carreras))
		{
			$array_carreras[$code] = $carrera["id_carrera"];		
			$array_areas[$code]=  $carrera["nombre_carrera"];	
			$code += 1;
		}
}
			
?>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2 align="left">Descargar Archivo 207 (Personal Administrativo y Obrero) </h2></td></tr></table>
<form name="form1" method="post" action="">
  <table width="20%" border="0" align="center" id="carga" cellpadding="1" cellspacing="10" style="border:1px solid #ccc;">
    <tr>
      <td width="43">Año:</td>
      <td width="228">
        <select name="annio" id="annio">
          <option value="2008">2008</option>
          <option value="2009">2009</option>
          <option value="2010">2010</option>
          <option value="2011">2011</option>
          <option value="2012">2012</option>
        </select>
      </td>
    </tr>
    <tr>
      <td height="34" colspan="2"><div align="center">
        <label>
        <input name="Enviar" type="button" id="Enviar" value="Descargar" onClick="imprimir()" >
        </label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	function validar_datos()
	{
	 	if(document.form1.tipodoc.value==0){
			alert("El campo Tipo de Documento es obligatorio");
			document.form1.tipodoc.focus();
			return false;
			}
		if(document.form1.nacionalidad.value==0){
			alert("El campo Nacionalidad es obligatorio");
			document.form1.nacionalidad.focus();
			return false;
			}
		if(document.form1.apellidos.value==""){
			alert("El campo Apellidos es obligatorio");
			document.form1.apellidos.focus();
			return false;
			}
		if(document.form1.nombres.value==0){
			alert("El campo Nombres es obligatorio");
			document.form1.nombres.focus();
			return false;
			}
		if(document.form1.genero.value==0){
			alert("El campo G�nero es obligatorio");
			document.form1.genero.focus();
			return false;
			}
			if(document.form1.edocivil.value==0){
			alert("El campo Estado Civil es obligatorio");
			document.form1.edocivil.focus();
			return false;
			}
		if(document.form1.fechanac.value==""){
			alert("El campo Fecha de Nacimiento es obligatorio");
			document.form1.fechanac.focus();
			return false;
			}
			return true;
	}
	
	function mostrar_foto(ruta) 
	{
		if(ruta!="")
		{
		//document.form1.fotop.src="";
		document.form2.submit();
		}
	}
</script>
 <?php
mysql_free_result($rstDocentes);
mysql_free_result($rstSede);
mysql_free_result($rstPeriodos);
mysql_free_result($rstMaterias);
mysql_free_result($rstSecciones);
mysql_free_result($rstCarreras);
?>

<script type="text/javascript">
 function imprimir()
 {
 	url="modelo/class_pdf/archivo207.php?annio="+document.form1.annio.value;
	window.open(url);
 }
</script>
